def turnLeft():     # CCW로 발사각도 회전
    player.left(fire_angle)

def turnRight():    # CW로 발사각도 회전
    player.right(fire_angle)

def fire():         # 발사
    x = player.xcor()           # 현재 x좌표 읽기
    y = player.ycor()           # 현재 y좌표 읽기
    angle = player.heading()    # 현재 발사각도 읽기
    # 현재 발사각도를 radian단위로 변환하고, x축 속력 계산
    vx = vel * math.cos(math.radians(angle))
    # 현재 발사각도를 radian단위로 변환하고, y축 속력 계산
    vy = vel * math.sin(math.radians(angle)) 
    while player.ycor() >= 0:   # 바닥(y좌표가 0)을 만나기 전까지는
        vy = vy - 10    # y축 속력은 중력가속도에 의해 감소
        x = x+vx        # x축 속력(vx)값을 이용하여 x축 좌표 업데이트
        y = y+vy        # y축 속력(vy)값을 이용하여 y축 좌표 업데이트
        player.goto(x,y) # 업데이트된 좌표로 이동

import math     # 삼각함수(cos, sin) 이용을 위해 math 모듈 불러오기
import turtle
win = turtle.Screen()
player = turtle.Turtle('turtle')

fire_angle = 5  # 발사각도 조절 크기
vel = 80        # 발사속력

win.onkeypress(turnLeft, "Left") # 왼쪽 화살표키 누르면 발사각도 CCW회전
win.onkeypress(turnRight, "Right") # 오른쪽 화살표키 누르면 발사각도 CW회전
win.onkeypress(fire, "space") # 스페이스키 누르면 발사

# x,y좌표축 그리기
player.goto(300,0)
player.goto(-300,0)
player.goto(-300,300)
player.goto(-300,0)

win.listen()    # 키보드 입력 감시 활성화





