''' 집 그리기 함수 정의'''
def draw_house(x,y,                        # 시작점 좌표
               roof_width, roof_height,    # 지붕 너비, 높이
               body_width, body_height,    # 몸체 너비, 높이
               roof_color,body_color):      # 지붕 색상, 몸체 색상
    draw_roof(x,y,roof_width,roof_height,roof_color)   # 지붕 그리기
    draw_body(x,y,body_width,body_height,body_color)   # 몸체 그리기

def draw_roof(x,y,roof_width,roof_height,roof_color):  # 지붕 그리기 함수 정의
    t.penup()
    t.goto(x,y)             # 시작점으로 이동
    t.setheading(0)         # 초기 방향은 0도라고 가정
    t.fillcolor(roof_color) 
    t.begin_fill()
    t.pendown()
    t.goto(x+roof_width/2,y)
    t.goto(x,y+roof_height)
    t.goto(x-roof_width/2,y)
    t.goto(x,y)
    t.end_fill()

def draw_body(x,y,body_width,body_height,body_color):   # 몸체 그리기 함수 정의
    t.penup()
    t.goto(x,y)             # 시작점으로 이동
    t.setheading(0)         # 초기 방향은 0도라고 가정
    t.fillcolor(body_color) 
    t.begin_fill()
    t.pendown()
    t.goto(x+body_width/2,y)
    t.goto(x+body_width/2,y-body_height)
    t.goto(x-body_width/2,y-body_height)
    t.goto(x-body_width/2,y)
    t.goto(x,y)
    t.end_fill()

import turtle           # turtle 모듈 불러오기
win = turtle.Screen()   # Screen 객체 생성
t = turtle.Turtle()     # Turtle 객체 생성
draw_house(0,0,200,100,150,120,'snow3','deep sky blue') # 집 그리기
