def drawRectangle(width,height,color): # 주어진 너비,높이,색상의 네모그리기
    t.fillcolor(color)
    t.begin_fill()
    t.forward(width)
    t.right(90)
    t.forward(height)
    t.right(90)
    t.forward(width)
    t.right(90)
    t.forward(height)
    t.end_fill()

def drawButton(x,y,msg): # Button 시작점 x좌표, y좌표, 메시지
    t.penup()
    t.goto(x,y)     # 버튼 시작점 위치로 이동
    t.setheading(0) # 버튼 시작점 방향 초기화               
    drawRectangle(button_width,button_height,button_color)
    t.goto(x+button_width/2,y-button_height)    # 네모 아래 중앙으로 이동
    t.pencolor('white')
    t.write(msg,align='center',font=('Arial',30)) # 텍스트 입력

def init():
    win.bgpic('') # 화면 지우기
    t.clear()     # 선 지우기
    drawButton(start_x,start_y,'START') # 시작 버튼 만들기
    drawButton(next_x,next_y,'NEXT')    # 다음 버튼 만들기
    drawButton(quit_x,quit_y,'QUIT')    # 종료 버튼 만들기

def checkButton(x,y):
    global stage                    # stage 전역변수 사용
    if (x>=start_x and
        x<=start_x+button_width and
        y<=start_y and
        y>=start_y-button_height):  # 시작 버튼 눌렀을 때
        stage = 1
        init()
        win.bgpic('mazeStage1.png')
    elif (x>=next_x and
          x<=next_x+button_width and
          y<=next_y and
          y>=next_y-button_height):  # 다음 버튼 눌렀을 때
        stage = stage + 1
        init()
        if stage == 2:
            win.bgpic('mazeStage2.png')
        else:
            win.bgpic('mazeStage3.png')
    elif (x>=quit_x and
          x<=quit_x+button_width and
          y<=quit_y and
          y>=quit_y-button_height):  # 종료 버튼 눌렀을 때
        win.bye()                    # 윈도우 닫기
    else:
        t.goto(x,y)
        t.pendown()
        t.pencolor('black')

stage = 0   # 미로 게임 스테이지 번호  
window_width = 1200     # 전체 윈도우 너비
window_height = 800     # 전체 윈도우 높이
button_width = 150      # 버튼 너비
button_height = 50      # 버튼 높이
button_color = 'sky blue'   # 버튼 색상
start_x = 400   # 시작 버튼 시작점 x좌표
start_y = 200   # 시작 버튼 시작점 y좌표
next_x = 400    # 다음 버튼 시작점 x좌표
next_y = 100    # 다음 버튼 시작점 y좌표
quit_x = 400    # 종료 버튼 시작점 x좌표
quit_y = 0      # 종료 버튼 시작점 y좌표

import turtle           
win = turtle.Screen()
win.setup(window_width,window_height)
t = turtle.Turtle()
t.speed(500)

init()  # 화면 및 선 지우고, 버튼 만들기

win.onclick(checkButton)    # 마우스 버튼 이벤트 발생 시 checkButton함수 실행
t.ondrag(t.goto)    # 마우스 드래그 시 거북이 객체 이동(선 긋기)




