## 산점도 그리기
import matplotlib.pyplot as plt
import random

diameter=[]    # 지름 빈 리스트 생성
weight=[]    # 무게 빈 리스트 생성
variety=[]    # 종류 빈 리스트 생성

f=open('fruit.txt','r')
while True:         # 아래 코드 무한 반복
    rcv = f.readline()  # 한 줄 읽기
    if rcv == '':   # 다 읽었으면 반복 종료
        break;
    data = rcv.split('\t')
    diameter.append(int(data[0]))
    weight.append(int(data[1]))
    variety.append(int(data[2]))
f.close()

color=[]
for i in range(100):
    if variety[i] == 1:         # 배
        color.append('gold')
    else:                       # 사과
        color.append('red')

import math
   
#plt.scatter(diameter,weight,s=100,c=color,alpha=0.3) # alpha는 투명도
#plt.show()

## 퍼셉트론 학습
''' input data : diameter, weight, variety '''

''' 1. 초기화 '''
w = [0, 0]  # 가중치 초기화
b = -1      # 바이어스 초기화
eta = 0.001  # 학습률 초기화

''' 학습하기 '''
for j in range(100):       # 반복하여 학습시키기
    for i in range(len(diameter)):   # 학습 데이터 수만큼 반복
        f = w[0]*diameter[i]/100.+w[1]*weight[i]/100.+b   # 퍼셉트론 모델
        w[0] = w[0] + eta*diameter[i]*(variety[i]-f)  # 새로운 가중치 계산
        w[1] = w[1] + eta*weight[i]*(variety[i]-f)

''' 결과 확인 '''
# 학습 결과(모델) 출력
print(str(w[0])+'*diameter+'+str(w[1])+'weight+'+str(b))

cnt = 0
for i in range(100):
    output = w[0]*diameter[i]/100.+w[1]*weight[i]/100.+b
    if output > 0: output = 1
    else: output = 0
    if output == variety[i]:
        print('input: ',diameter[i],weight[i],'=> output: ',output, 'success')
        cnt = cnt + 1
    else:
        print('input: ',diameter[i],weight[i],'=> output: ',output, 'fail')
print('recall: ',cnt,'%')
