''' 집 그리기 함수 정의'''
def draw_house(x,y,                        # 시작점 좌표
               roof_width, roof_height, roof_color,   # 지붕 너비, 높이, 색
               body_width, body_height, body_color,   # 몸체 너비, 높이, 색
               door_width, door_height, door_color,   # 문 너비, 높이, 색
               window_width, window_height, window_color):   # 창문 너비, 높이, 색
    draw_roof(x,y,roof_width,roof_height,roof_color)   # 지붕 그리기
    draw_body(x,y,body_width,body_height,body_color,   # 몸체 그리기
              door_width, door_height, door_color,
              window_width, window_height, window_color)

def draw_roof(x,y,roof_width,roof_height,roof_color):  # 지붕 그리기 함수 정의
    t.penup()
    t.goto(x,y)             # 시작점으로 이동
    t.setheading(0)         # 초기 방향은 0도라고 가정
    t.fillcolor(roof_color) 
    t.begin_fill()
    t.pendown()
    t.goto(x+roof_width/2,y)
    t.goto(x,y+roof_height)
    t.goto(x-roof_width/2,y)
    t.goto(x,y)
    t.end_fill()

def draw_body(x,y,body_width,body_height,body_color,
              door_width,door_height,door_color,
              window_width,window_height,window_color):   # 몸체 그리기 함수 정의
    t.penup()
    t.goto(x,y)             # 시작점으로 이동
    t.setheading(0)         # 초기 방향은 0도라고 가정
    t.fillcolor(body_color) 
    t.begin_fill()
    t.pendown()
    t.goto(x+body_width/2,y)
    t.goto(x+body_width/2,y-body_height)
    t.goto(x-body_width/2,y-body_height)
    t.goto(x-body_width/2,y)
    t.goto(x,y)
    t.end_fill()
    draw_door(x-body_width/4+1,y-(body_height-door_height),door_width,door_height,door_color) # 문 그리기
    draw_window(x+body_width/4,y-50,window_width,window_height,window_color) # 창문 그리기

def draw_door(x,y,door_width,door_height,door_color):   # 문 그리기 함수 정의
    t.penup()
    t.goto(x,y)             # 시작점으로 이동
    t.setheading(0)         # 초기 방향은 0도라고 가정
    t.fillcolor(door_color) 
    t.begin_fill()
    t.pendown()
    t.goto(x+door_width/2,y)
    t.goto(x+door_width/2,y-door_height)
    t.goto(x-door_width/2,y-door_height)
    t.goto(x-door_width/2,y)
    t.goto(x,y)
    t.end_fill()

def draw_window(x,y,window_width,window_height,window_color):   # 창문 그리기 함수 정의
    t.penup()
    t.goto(x-window_width/2,y)             # 시작점으로 이동
    t.setheading(0)         # 초기 방향은 0도라고 가정
    t.fillcolor(window_color) 
    t.begin_fill()
    t.pendown()
    t.goto(x-1,y)   # 좌상 창문
    t.goto(x-1,y-(window_height/2-1))
    t.goto(x-window_width/2,y-(window_height/2-1))
    t.goto(x-window_width/2,y)
    t.penup()
    t.goto(x+1,y)   # 우상 창문
    t.pendown()
    t.goto(x+window_width/2,y)  
    t.goto(x+window_width/2,y-(window_height/2-1))
    t.goto(x+1,y-(window_height/2-1))
    t.goto(x+1,y)
    t.goto(x,y)
    t.penup()
    t.goto(x-window_width/2,y-(window_height/2+1))     # 좌하 창문
    t.pendown()
    t.goto(x-1,y-(window_height/2+1))
    t.goto(x-1,y-window_height)
    t.goto(x-window_width/2,y-window_height)
    t.goto(x-window_width/2,y-(window_height/2+1))
    t.goto(x,y)
    t.penup()
    t.goto(x+1,y-(window_height/2+1))     # 우하 창문
    t.pendown()
    t.goto(x+window_width/2,y-(window_height/2+1))
    t.goto(x+window_width/2,y-window_height)
    t.goto(x+1,y-window_height)
    t.goto(x+1,y-(window_height/2+1))
    t.penup()
    t.end_fill()

import turtle           # turtle 모듈 불러오기
win = turtle.Screen()   # Screen 객체 생성
t = turtle.Turtle()     # Turtle 객체 생성
draw_house(0,0,200,100,'snow3',150,120,'deep sky blue',50,80,'gray',30,30,'light blue') # 집 그리기
draw_house(300,300,150,80,'orange',150,120,'maroon',50,80,'gray',30,30,'light blue') # 집 그리기
draw_house(200,-300,220,120,'dark green',150,120,'medium aquamarine',50,80,'gray',30,30,'light blue') # 집 그리기
draw_house(-300,300,180,100,'navy',150,120,'royal blue',50,80,'gray',30,30,'light blue') # 집 그리기
draw_house(-200,-300,170,110,'gold',150,120,'light goldenrod',50,80,'gray',30,30,'light blue') # 집 그리기
