def drawRectangle(width,height,color): # 주어진 너비,높이,색상의 네모그리기
    t.fillcolor(color)
    t.begin_fill()
    t.forward(width)
    t.right(90)
    t.forward(height)
    t.right(90)
    t.forward(width)
    t.right(90)
    t.forward(height)
    t.end_fill()

def drawButton(x,y,msg, color): # Button 시작점 x좌표, y좌표, 메시지, 색상
    t.penup()
    t.goto(x,y)     # 버튼 시작점 위치로 이동
    t.setheading(0) # 버튼 시작점 방향 초기화               
    drawRectangle(button_width,button_height,color)
    t.goto(x+button_width/2,y-button_height)    # 네모 아래 중앙으로 이동
    t.pencolor('white')
    t.write(msg,align='center',font=('Arial',30)) # 텍스트 입력

def drawLine(x,y,size): # 굵기선택 Button 시작점 x좌표, y좌표, 선 굵기
    t.penup()
    t.goto(x,y-button_height/2)  # 굵기 표현 시작점 위치로 이동
    t.setheading(0) # 굵기 표현 시작점 방향 초기화
    t.pendown()
    t.pencolor('black')
    t.pensize(size) # 펜 크기 설정
    t.forward(100)  # 100만큼 이동

def init():
    win.bgpic('') # 화면 지우기
    t.clear()     # 선 지우기
    drawButton(red_x,red_y,'RED', 'red')    # 빨간색 색상 버튼 만들기
    drawButton(green_x,green_y,'GREEN','green')    # 녹색 색상 버튼 만들기
    drawButton(blue_x,blue_y,'BLUE','blue')    # 파란색 색상 버튼 만들기
    drawLine(thick1_x,thick1_y,1)    # 선 굵기 선택 버튼 만들기
    drawLine(thick2_x,thick2_y,5)    # 선 굵기 선택 버튼 만들기
    drawLine(thick3_x,thick3_y,10)   # 선 굵기 선택 버튼 만들기
    drawButton(clear_x,clear_y,'ERASE','sky blue')    # 지우기 버튼 만들기
    drawButton(quit_x,quit_y,'QUIT','sky blue')    # 종료 버튼 만들기

def checkButton(x,y):
    if (x>=red_x and
          x<=red_x+button_width and
          y<=red_y and
          y>=red_y-button_height):  # 빨간 버튼 눌렀을 때
        t.pencolor('red')
    elif (x>=green_x and
          x<=green_x+button_width and
          y<=green_y and
          y>=green_y-button_height):  # 녹색 버튼 눌렀을 때
        t.pencolor('green')
    elif (x>=blue_x and
          x<=blue_x+button_width and
          y<=blue_y and
          y>=blue_y-button_height):  # 녹색 버튼 눌렀을 때
        t.pencolor('blue')
    elif (x>=thick1_x and
          x<=thick1_x+button_width and
          y<=thick1_y and
          y>=thick1_y-button_height):  # 녹색 버튼 눌렀을 때
        t.pensize(1)
    elif (x>=thick2_x and
          x<=thick2_x+button_width and
          y<=thick2_y and
          y>=thick2_y-button_height):  # 녹색 버튼 눌렀을 때
        t.pensize(5)
    elif (x>=thick3_x and
          x<=thick3_x+button_width and
          y<=thick3_y and
          y>=thick3_y-button_height):  # 녹색 버튼 눌렀을 때
        t.pensize(10)
    elif (x>=clear_x and
          x<=clear_x+button_width and
          y<=clear_y and
          y>=clear_y-button_height):  # 녹색 버튼 눌렀을 때
        init()
    elif (x>=quit_x and
          x<=quit_x+button_width and
          y<=quit_y and
          y>=quit_y-button_height):  # 종료 버튼 눌렀을 때
        win.bye()                    # 윈도우 닫기
    else:
        t.penup()
        t.goto(x,y)

def dragFunc(x,y):
    t.pendown()
    t.goto(x,y)

window_width = 1200     # 전체 윈도우 너비
window_height = 800     # 전체 윈도우 높이
button_width = 150      # 버튼 너비
button_height = 50      # 버튼 높이
red_x = 400     # 빨간 버튼 시작점 x좌표
red_y = 200     # 빨간 버튼 시작점 y좌표
green_x = 400   # 녹색 버튼 시작점 x좌표
green_y = 150   # 녹색 버튼 시작점 y좌표
blue_x = 400    # 파란 버튼 시작점 x좌표
blue_y = 100    # 파란 버튼 시작점 y좌표
thick1_x = 400  # 선 굵기1 선택 x좌표
thick1_y = 0   # 선 굵기1 선택 y좌표
thick2_x = 400  # 선 굵기2 선택 x좌표
thick2_y = -50   # 선 굵기2 선택 y좌표
thick3_x = 400  # 선 굵기3 선택 x좌표
thick3_y = -100   # 선 굵기3 선택 y좌표
clear_x = 400   # 지우기 버튼 시작점 x좌표
clear_y = -200  # 지우기 버튼 시작점 y좌표
quit_x = 400    # 종료 버튼 시작점 x좌표
quit_y = -300   # 종료 버튼 시작점 y좌표

import turtle           
win = turtle.Screen()
win.title('그림판')
win.setup(window_width,window_height)
t = turtle.Turtle()
t.speed(500)

init()  # 화면 및 선 지우고, 버튼 만들기

win.onclick(checkButton)    # 마우스 버튼 이벤트 발생 시 checkButton함수 실행
t.ondrag(dragFunc)    # 마우스 드래그 시 거북이 객체 이동(선 긋기)
#win.ondrag(dragFunc)    # 마우스 드래그 시 거북이 객체 이동(선 긋기)


